[Testing Update] 2019-12-27 - Nvidia 340.108, Brave, 18.1.5-rc1

Hello community,

I am happy to announce another Testing Update, which will be probably the last one before the next Stable Update.

Some feature-updates:

  • We finalized the Nvidia 340.108 update
  • Brave browser got updated to its latest releases
  • the usual upstream fixes

If you like following latest Plasma development you may also like to check out our current version of manjaro-kde-dev, which we build on a regular basis against kde-git master packages. Also check out our current 18.1.5-rc1 ISOs and give us the needed feedback.

As always we appreciate your input and feedback for the updates.


Upstream notice

Arch will update their default compression to zstd. This will happen around 20:00 Europe/Berlin time today. Therefore expect less updates in the next upcoming weeks, as we have to adopt to these changes.


Our current supported kernels:

  • linux316 3.16.80
  • linux44 4.4.207
  • linux49 4.9.207
  • linux414 4.14.160
  • linux419 4.19.91
  • linux53 5.3.18 [EOL]
  • linux54 5.4.6
  • linux55 5.5-rc3
  • linux419-rt 4.19.90_rt35
  • linux52-rt 5.2.21_rt15
  • linux54-rt 5.4.5_rt3

Package Changes (Fri Dec 27 10:00:12 CET 2019)

  • testing community x86_64: 141 new and 141 removed package(s)
  • testing core x86_64: 3 new and 3 removed package(s)
  • testing extra x86_64: 6 new and 6 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-26           2019-12-27
-------------------------------------------------------------------------------
                               brave             1.1.21-1             1.1.23-1
                          brave-beta             1.2.27-1             1.2.36-1
                            hw-probe1.4+192.g1262b6ee6f-11.4+194.g596f4624d7-1
            linux419-rt-nvidia-340xx           340.107-11            340.108-1
             linux52-rt-nvidia-340xx            340.107-9            340.108-1
             linux54-rt-nvidia-340xx            340.107-2            340.108-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-26           2019-12-27
-------------------------------------------------------------------------------
                       cabal-install          2.4.0.0-168          2.4.0.0-170
                               cgrep            6.6.30-14            6.6.30-16
                             cryptol             2.8.0-16             2.8.0-18
                               darcs           2.14.2-139           2.14.2-141
                                exim             4.92.3-1               4.93-1
                           git-annex         7.20191218-5         7.20191218-7
                       gitlab-runner             12.5.0-1             12.6.0-1
                               gummi            2:0.6.6-1            2:0.8.0-1
                 haskell-adjunctions              4.4-108              4.4-109
                  haskell-aeson-diff            1.1.0.8-8           1.1.0.8-10
                haskell-authenticate              1.3.5-9             1.3.5-11
                         haskell-aws           0.21.1-131           0.21.1-133
              haskell-binary-conduit             1.3.1-70             1.3.1-72
   haskell-bytestring-strict-builder           0.4.5.3-29           0.4.5.3-30
                    haskell-checkers              0.5.2-5              0.5.2-6
               haskell-clash-prelude            0.99.3-81            0.99.3-82
                     haskell-concise          0.1.0.1-132          0.1.0.1-133
                     haskell-conduit            1.3.1.2-3            1.3.1.2-5
               haskell-conduit-extra             1.3.4-27             1.3.4-29
                   haskell-criterion           1.5.5.0-94           1.5.5.0-96
          haskell-cryptohash-conduit            0.1.1-317            0.1.1-319
          haskell-cryptonite-conduit            0.2.2-211            0.2.2-213
                         haskell-dav            1.3.3-125            1.3.3-127
                        haskell-dbus             1.2.7-55             1.2.7-57
              haskell-deferred-folds          0.9.10.1-36          0.9.10.1-37
                      haskell-either           5.0.1.1-30           5.0.1.1-31
                   haskell-esqueleto              3.3.0-2              3.3.0-4
                  haskell-fdo-notify            0.3.1-215            0.3.1-217
                        haskell-feed           1.2.0.1-17           1.2.0.1-19
                       haskell-foldl             1.4.5-60             1.4.5-61
                        haskell-free              5.1.3-4              5.1.3-5
                     haskell-githash            0.1.3.3-8           0.1.3.3-10
             haskell-haddock-library              1.8.0-3              1.8.0-4
                      haskell-hakyll         4.12.5.2-144         4.12.5.2-146
                       haskell-hasql            1.4.0.1-3            1.4.0.1-4
                  haskell-hasql-pool             0.5.1-36             0.5.1-37
           haskell-hasql-transaction             0.7.2-32             0.7.2-33
                    haskell-hopenpgp                2.9-8               2.9-10
                       haskell-hpack            0.33.0-21            0.33.0-23
                haskell-html-conduit           1.3.2.1-17           1.3.2.1-19
                        haskell-http         4000.3.14-63         4000.3.14-65
                haskell-http-conduit           2.3.7.3-23           2.3.7.3-25
               haskell-http-download           0.1.0.0-57           0.1.0.0-59
          haskell-incremental-parser              0.3.3-9             0.3.3-10
   haskell-insert-ordered-containers             0.2.2-33             0.2.2-34
                       haskell-ipynb               0.1-89               0.1-91
                        haskell-jose            0.8.2.0-4            0.8.2.0-5
                   haskell-js-jquery            3.3.1-307            3.3.1-309
              haskell-kan-extensions               5.2-78               5.2-79
                        haskell-keys            3.12.2-33            3.12.2-34
                        haskell-lens            4.17.1-36            4.17.1-37
                  haskell-lens-aeson            1.0.2-178            1.0.2-179
                     haskell-libyaml            0.1.1.1-9           0.1.1.1-11
                haskell-monad-logger            0.3.31-11            0.3.31-13
            haskell-mono-traversable          1.0.13.0-11           1.0.15.0-2
                    haskell-mustache            2.3.0-258            2.3.0-260
             haskell-optparse-simple           0.1.1.2-85           0.1.1.2-87
                      haskell-pantry           0.1.1.1-81           0.1.1.1-83
                  haskell-persistent            2.10.4-14            2.10.4-16
               haskell-persistent-qq             2.9.1-94             2.9.1-96
           haskell-persistent-sqlite            2.10.5-40            2.10.5-42
         haskell-persistent-template             2.7.3-19             2.7.3-21
             haskell-persistent-test           2.0.3.0-45           2.0.3.0-47
                     haskell-pointed            5.0.1-114            5.0.1-115
           haskell-postgresql-binary          0.12.1.3-25          0.12.1.3-26
            haskell-project-template          0.2.0.1-181          0.2.0.1-183
                      haskell-rebase              1.4.1-7              1.4.1-8
                    haskell-reducers            3.12.3-67            3.12.3-68
                    haskell-rerebase              1.4.1-7              1.4.1-8
                 haskell-rio-orphans           0.1.1.0-38           0.1.1.0-40
                       haskell-sandi               0.5-59               0.5-61
                         haskell-sbv                8.5-4                8.5-6
               haskell-semigroupoids              5.3.3-8              5.3.4-1
              haskell-servant-server            0.16.2-52            0.16.2-54
             haskell-servant-swagger           1.1.7.1-38           1.1.7.1-39
                       haskell-shake             0.18.4-5             0.18.4-7
             haskell-simple-sendfile            0.2.30-10            0.2.30-12
                       haskell-store           0.5.1.2-31           0.5.1.2-33
                    haskell-swagger2           2.3.1.1-69           2.3.1.1-70
           haskell-tagstream-conduit          0.5.5.3-306          0.5.5.3-308
                 haskell-tar-conduit             0.3.2-28             0.3.2-30
                 haskell-tasty-rerun            1.1.14-37            1.1.14-38
                haskell-text-builder           0.6.5.1-39           0.6.5.1-40
                   haskell-tree-diff               0.1-35               0.1-36
                    haskell-trifecta                 2-71                 2-72
                      haskell-turtle             1.5.15-9            1.5.15-10
            haskell-vector-instances              3.4-148              3.4-149
              haskell-wai-app-static          3.1.6.3-132          3.1.6.3-134
                 haskell-wai-conduit          3.0.0.4-155          3.0.0.4-157
          haskell-wai-handler-launch          3.0.2.4-242          3.0.2.4-244
                        haskell-warp              3.3.5-3              3.3.5-5
                    haskell-warp-tls              3.2.9-3              3.2.9-5
            haskell-wl-pprint-extras          3.5.0.5-119          3.5.0.5-120
          haskell-wl-pprint-terminfo          3.7.1.4-119          3.7.1.4-120
                        haskell-wreq           0.5.3.2-97           0.5.3.2-98
                      haskell-xcffib             0.8.1-26             0.8.1-27
                 haskell-xml-conduit           1.8.0.1-99          1.8.0.1-101
                  haskell-xml-hamlet           0.5.0.1-22           0.5.0.1-24
                        haskell-yaml          0.11.2.0-13          0.11.2.0-15
                       haskell-yesod            1.6.0-388            1.6.0-390
                  haskell-yesod-auth             1.6.8-61             1.6.8-63
                  haskell-yesod-core             1.6.17-8            1.6.17-10
               haskell-yesod-default            1.2.0-625            1.2.0-627
                  haskell-yesod-form             1.6.7-47             1.6.7-49
            haskell-yesod-persistent           1.6.0.3-22           1.6.0.3-24
                haskell-yesod-static          1.6.0.1-244          1.6.0.1-246
                  haskell-yesod-test              1.6.9-7              1.6.9-9
                           hedgewars             1.0.0-11             1.0.0-13
                             hindent             5.3.1-38             5.3.1-40
                         hledger-web               1.16-2               1.16-4
                               hlint            2.1.14-85            2.1.14-87
                              hoogle         5.0.17.11-40         5.0.17.11-42
                      hopenpgp-tools               0.23-8              0.23-10
                               idris             1.3.2-38             1.3.2-39
                             lazarus              2.0.6-1              2.0.6-2
                        lazarus-gtk2              2.0.6-1              2.0.6-2
                         lazarus-qt5              2.0.6-1              2.0.6-2
                    nextcloud-client              2.6.1-3              2.6.2-1
                                 npm             6.12.1-1             6.13.4-1
                       nss-pam-ldapd             0.9.11-1             0.9.11-2
             opensmtpd-filter-rspamd              0.1.4-1              0.1.5-1
                              pandoc                2.8-2                2.8-4
                     pandoc-citeproc             0.16.4-2             0.16.4-4
                     pandoc-crossref            0.3.5.0-2            0.3.5.0-4
                           postgrest              6.0.2-8             6.0.2-10
                          shellcheck             0.7.0-76             0.7.0-78
                               stack             2.1.3-96             2.1.3-98
                     stylish-haskell           0.9.4.4-14           0.9.4.4-16
                      tamarin-prover            1.4.1-206            1.4.1-208
         v2ray-domain-list-community         20191219.1-1         20191226.1-1
                            volwheel              0.2.8-7                    -
                      wireguard-dkms       0.0.20191219-1       0.0.20191226-1
                     wireguard-tools       0.0.20191219-1       1.0.20191226-1
                              xmobar              0.31-32              0.31-34
                            yamllint             1.19.0-1             1.20.0-1
                                 gox                    -              1.0.1-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-26           2019-12-27
-------------------------------------------------------------------------------
                     manjaro-release             18.1.4-1             18.1.5-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-26           2019-12-27
-------------------------------------------------------------------------------
                               expat              2.2.9-2              2.2.9-3
                            libevent             2.1.11-3             2.1.11-4


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-12-26           2019-12-27
-------------------------------------------------------------------------------
                                 apr              1.7.0-1              1.7.0-2
                            apr-util              1.6.1-5              1.6.1-6
                libtorrent-rasterbar            1:1.2.2-1            1:1.2.3-1
                        python-numpy             1.17.4-1             1.18.0-1
                             seabios             1.12.1-1             1.13.0-1
                      xfce4-terminal              0.8.8-2              0.8.9-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

8 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Do I need to downgrade systemd?

Not necessarily. If systemd 244.1-1.1 works fine for you, you can keep it. If you have issues related to systemd, of course, you may want to downgrade the packages related to systemd.

This is valid until Manjaro Team says otherwise. If the team asks everyone to downgrade the packages for a reason or another, do it.

From philm:

Pamac: I can't build AUR packages

Before anything else, please verify in /etc/pamac.conf if BuildDirectory is set up correctly. For example:

## AUR build directory:
BuildDirectory = /var/tmp

If you have something like /var or / instead, you might have been affected by the following bug. A bug in Pamac "corrupted" the value of BuildDirectory, which ultimately leads to a directory that Pamac can't write in (to create a directory) because the user does not have the permission to do so, hence why Pamac failed to build AUR packages.

This bug should be fixed by now in Pamac 9.2.0rc, but users affected by the bug have to change back this parameter to a correct value manually, which can be done either with a text editor by editing /etc/pamac.conf OR graphically within Pamac GTK by going in Preferences > AUR.

pacman-mirrors

All good here:
Kernel 5.4.6-2-MANJARO + nvidia v: 340.108

Everything fine an kernel 5.5rc3+xfce+amdgpu, i'm even still using systemd 244.1 which was on testing only for a few hours. no issues so far.

Looks fine but I didn't see any Brave update like mentioned (xfce)

it was the 2 or 3 in the list.

Looks fine here.. BTW nice icon theme, guys:metal:

Ok I check now and there it is. Another set of updates. It came in two batches for me today. Syncing delays I presume.
Tx

1 Like

BTW there's a new patch for Nvidia on 5.5-rc: https://gitlab.com/snippets/1923197
I've just built a dkms driver, seems to work fine. Just FYI.

UPD: lots of messages in journal when loading nvidia driver on 5.5 but they don't look like errors...

I am on 244 as well.

:: python-pyqt5 and pyqt5-common are in conflict. Remove pyqt5-common? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing pyqt5-common breaks dependency 'pyqt5-common' required by multibootusb

Hm....

Remove multibootusb and it's dependencies:

sudo pacman -Rnsc multibootusb

Then update. If you want it installed, you can install multibootusb-git which has already been updated to exclude the obsolete python dependency.

2 Likes

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by